Cantera 2.6.0

Classes | Namespaces | Macros | Typedefs | Functions
vcs_internal.h File Reference

Internal declarations for the VCSnonideal package. More...

`#include "cantera/base/global.h"`
Include dependency graph for vcs_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | VCS_COUNTERS
| Class to keep track of time and iterations. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Macros
#define | plogf writelogf
| define this Cantera function to replace printf More...

## Typedefs
typedef double(* | VCS_FUNC_PTR) (double xval, double Vtarget, int varID, void *fptrPassthrough, int *err)
| Definition of the function pointer for the root finder. More...

## Functions
double | vcs_l2norm (const vector_fp &vec)
| determine the l2 norm of a vector of doubles More...
const char * | vcs_speciesType_string (int speciesStatus, int length=100)
| Returns a const char string representing the type of the species given by the first argument. More...
bool | vcs_doubleEqual (double d1, double d2)
| Simple routine to check whether two doubles are equal up to roundoff error. More...

## Detailed Description

Internal declarations for the VCSnonideal package.

Definition in file vcs_internal.h.

## Macro Definition Documentation

## ◆ plogf

#define plogf writelogf

define this Cantera function to replace printf

We can replace this with printf easily

Definition at line 18 of file vcs_internal.h.